Subject: IPP> Complete list of required IPP attributes

From: Michael R Sweet <[email-masked]>
Date: Tue, 02 Sep 2008 17:18:18 -0700

All,

Attached are CSV files listing the attributes required for IPP v2.x.

Some comments for discussion:

1. IPP v2.1 requires RFC 3381 (Job Progress Attributes), however all
    of the attributes defined by 3381 are OPTIONAL.  Do we want to make
    them REQUIRED?

2. IPP v2.2 requires RFC 3382 (The 'collection' attribute syntax),
    and while the media-color and media-size attributes of the media-col
    attribute are REQUIRED, the wording of section 5 does not
    specifically require media-col, and in fact says that the examples
    in the spec are only provided to illustrate how to define
    collections in their own spec:

       All of the example attribute definitions in this document are
       illustrative examples, rather than actual definitions.  These
       examples are intended to illustrate how to define collection
       attributes.  Other documents MUST define collection attributes for
       use in actual interchange.  Such definitions may be very similar
       to the examples in this document, since we attempted to pick
       useful examples.

    I've included media-col and the corresponding printer description
    attributes (-default, -ready, and -supported) as required attributes,
    however even "media" is not required by our current IPP/2.x specs...

3. IPP v2.2 requires several PWG 5100.3, but all attributes are
    OPTIONAL.  Do we want to make them REQUIRED?

4. IPP v2.2 requires several PWG 5100.8, but all attributes are
    OPTIONAL.  Do we want to make them REQUIRED?

-- 
______________________________________________________________________
Michael R Sweet                        Senior Printing System Engineer

Attribute,Min Version,Specification
notify-subscribed-event,2.1,RFC 3995
notify-text,2.1,RFC 3995

Attribute,Min Version,Specification
compression-supplied,2.1,PWG 5100.7
document-job-id,2.2,PWG 5100.5
document-job-url,2.2,PWG 5100.5
document-number,2.2,PWG 5100.5
document-printer-uri,2.2,PWG 5100.5
document-state,2.2,PWG 5100.5
document-state-reasons,2.2,PWG 5100.5
job-id,2.0,RFC 2911
job-name,2.0,RFC 2911
job-originating-user-name,2.0,RFC 2911
job-printer-up-time,2.0,RFC 2911
job-printer-uri,2.0,RFC 2911
job-state,2.0,RFC 2911
job-state-reasons,2.0,RFC 2911
job-uri,2.0,RFC 2911
media-col,2.1,RFC 3282
number-of-documents,2.2,PWG 5100.5
time-at-completed,2.0,RFC 2911
time-at-creation,2.0,RFC 2911
time-at-processing,2.0,RFC 2911

Attribute,Min Version,Specification
multiple-document-handling,2.2,PWG 5100.5
overrides,2.2,PWG 5100.6

Attribute,Min Version,Specification
attributes-charset,2.0,RFC 2911
attributes-natural-language,2.0,RFC 2911
compression,2.0,RFC 2911
document-format,2.0,RFC 2911
document-name,2.0,RFC 2911
document-number,2.2,PWG 5100.5
ipp-attribute-fidelity,2.0,RFC 2911
job-hold-until,2.1,RFC 2911
job-id,2.0,RFC 2911
job-mandatory-attributes,2.2,PWG 5100.5
job-uri,2.0,RFC 2911
last-document,2.1,RFC 2911
limit,2.0,RFC 2911
my-jobs,2.0,RFC 2911
notify-sequence-numbers,2.1,RFC 3996
notify-subscription-ids,2.1,RFC 3996
notify-wait,2.1,RFC 3996
printer-uri,2.0,RFC 2911
requested-attributes,2.0,RFC 2911
requesting-user-name,2.0,RFC 2911
which-jobs,2.0,RFC 2911

Attribute,Min Version,Specification
charset-configured,2.0,RFC 2911
charset-supported,2.0,RFC 2911
compression-supported,2.0,RFC 2911
document-format-default,2.0,RFC 2911
document-format-supported,2.0,RFC 2911
generated-natural-language-supported,2.0,RFC 2911
ipp-versions-supported,2.0,RFC 2911
ippget-event-life,2.1,RFC 3996
job-hold-until-default,2.1,RFC 2911
job-hold-until-supported,2.1,RFC 2911
job-settable-attributes-supported,2.1,RFC 3380
media-col-default,2.1,RFC 3382
media-col-ready,2.1,RFC 3382
media-col-supported,2.1,RFC 3382
natural-language-configured,2.0,RFC 2911
notify-events-default,2.1,RFC 3995
notify-events-supported,2.1,RFC 3995
notify-lease-duration-default,2.1,RFC 3995
notify-lease-duration-supported,2.1,RFC 3995
notify-max-events-supported,2.1,RFC 3995
notify-pull-method-supported,2.1,RFC 3995
operations-supported,2.0,RFC 2911
pdl-override-supported,2.0,RFC 2911
printer-is-accepting-jobs,2.0,RFC 2911
printer-name,2.0,RFC 2911
printer-settable-attributes-supported,2.1,RFC 3380
printer-state,2.0,RFC 2911
printer-state-reasons,2.0,RFC 2911
printer-up-time,2.0,RFC 2911
printer-uri-supported,2.0,RFC 2911
queued-job-count,2.0,RFC 2911
uri-authentication-supported,2.0,RFC 2911
uri-security-supported,2.0,RFC 2911
,2.1,RFC 3995

Attribute,Min Version,Specification
notify-get-interval,2.1,RFC 3996
notify-job-id,2.1,RFC 3995
notify-lease-expiration-time,2.1,RFC 3995
notify-printer-up-time,2.1,RFC 3995
notify-printer-uri,2.1,RFC 3995
notify-sequence-number,2.1,RFC 3995
notify-subscriber-user-name,2.1,RFC 3995
notify-subscription-id,2.1,RFC 3995

Attribute,Min Version,Specification
notify-charset,2.1,RFC 3995
notify-events,2.1,RFC 3995
notify-lease-duration,2.1,RFC 3995
notify-natural-language,2.1,RFC 3995
notify-pull-method,2.1,RFC 3995
notify-time-interval,2.1,RFC 3995
notify-user-data,2.1,RFC 3995